# GoogleChartGrid Class Reference

Inheritance diagram for GoogleChartGrid:
[legend]

List of all members.

## Public Member Functions

| setHorizontalStepSize ($size)
| getHorizontalStepSize ()
| setVerticalStepSize ($size)
| getVerticalStepSize ()
| setLineSegmentLength ($length)
| getLineSegmentLength ()
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chg'

## Private Attributes

| $horizontalStepSize = 0
| $verticalStepSize = 0
| $lineSegmentLength = 0

## Detailed Description

Definition at line 15 of file GoogleChartGrid.class.php.

## Member Function Documentation

static GoogleChartGrid::create | ( |  | ) | `[static]`

Returns:
  GoogleChartGrid

Definition at line 26 of file GoogleChartGrid.class.php.

GoogleChartGrid::getHorizontalStepSize | ( |  | ) |

Definition at line 41 of file GoogleChartGrid.class.php.

GoogleChartGrid::getLineSegmentLength | ( |  | ) |

Definition at line 71 of file GoogleChartGrid.class.php.

GoogleChartGrid::getVerticalStepSize | ( |  | ) |

Definition at line 56 of file GoogleChartGrid.class.php.

GoogleChartGrid::setHorizontalStepSize | ( | $ | size | ) |

Returns:
  GoogleChartGrid

Definition at line 34 of file GoogleChartGrid.class.php.

GoogleChartGrid::setLineSegmentLength | ( | $ | length | ) |

Returns:
  GoogleChartGrid

Definition at line 64 of file GoogleChartGrid.class.php.

GoogleChartGrid::setVerticalStepSize | ( | $ | size | ) |

Returns:
  GoogleChartGrid

Definition at line 49 of file GoogleChartGrid.class.php.

GoogleChartGrid::toString | ( |  | ) |

Implements Stringable.

Definition at line 76 of file GoogleChartGrid.class.php.

## Member Data Documentation

GoogleChartGrid::$horizontalStepSize = 0`[private]`

Definition at line 19 of file GoogleChartGrid.class.php.

GoogleChartGrid::$lineSegmentLength = 0`[private]`

Definition at line 21 of file GoogleChartGrid.class.php.

GoogleChartGrid::$name = 'chg'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartGrid.class.php.

GoogleChartGrid::$verticalStepSize = 0`[private]`

Definition at line 20 of file GoogleChartGrid.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartGrid.class.php